Subject: Re: bug#22565: Cannot talk to upowerd over D-Bus

From: [email-masked] (Ludovic Courtès)
Date: Sun, 21 Feb 2016 23:47:08 +0100

Ricardo Wurmus <[email-masked]> skribis:

> I’m trying to figure out why we cannot use the Xfce menu to shut down or
> reboot, and while doing that I found that
>
>     loginctl poweroff
>
> (as root on the TTY) does have the intended effect.  When run as a user
> I see a similar error as mentioned above:
>
>     Failed to power off: Interactive authentication required.
>
> I think this is just fine.

I don’t know if it’s fine.  :-)  I would expect that on GNOME/Xfce a
password window would pop up when that RPC is invoked, but I’m not sure
how it’s supposed to happen, or under what conditions.

Ludo’.